KYUA-DB-EXEC(1)

NAME
db-exec - Executes a SQL statement in the store database

SYNOPSIS
db-exec [--no-headers] [--store file] statement

DESCRIPTION
The db-exec command provides a way to execute an arbitrary SQL statement within the database. This command is mostly intended to aid in debugging, but can also be used to extract information from the database when the current interfaces do not provide the desired functionality.

The db-exec command takes one or more arguments, all of which are concatenated to form a single SQL statement. Once the staement is executed, db-exec prints the resulting table on the screen, if any.

The following subcommand options are recognized:

--no-headers
    Avoids printing the headers of the table in the output of the command.

--store path, -s path
    Specifies the database to use. Defaults to ~/.kyua/store.db. The database is created if it does not exist.

EXIT STATUS
The db-exec command returns 0 on success or 1 if the SQL statement is invalid or fails to run.

Additional exit codes may be returned as described in kyua(1).

SEE ALSO
kyua(1), kyua-test(1)